Windows: Bump to GCC 7.2 for GHC 8.4
ClosedPublic

Authored by Phyx on Oct 25 2017, 2:58 AM.

Details

Summary

GHC 8.4 is expected to ship with an updated GCC bindist based on GCC 7.2.

I am however at this time not updating the crt due to an issue introduced
in september. https://sourceforge.net/p/mingw-w64/mailman/message/36085637/

Unless a favorable fix comes out of the discussion I will just ship the old crt
with GHC 8.4.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Phyx created this revision.Oct 25 2017, 2:58 AM
Phyx added a comment.Oct 28 2017, 8:55 AM

@bgamari this requires mirroring to Haskell.org. Though the script will use msys2.org until the files are on Haskell.org

bgamari accepted this revision.Nov 2 2017, 12:21 PM

Alright, merging.

This revision is now accepted and ready to land.Nov 2 2017, 12:21 PM
austin resigned from this revision.Nov 9 2017, 5:45 PM
This revision was automatically updated to reflect the committed changes.